### File

`packages/components/eui-breadcrumb/item/breadcrumb-item.component.ts`

### Implements

`OnDestroy` `OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-breadcrumb-item`
imports | `RouterModule` `PortalModule` `EUI_ICON` `EUI_LABEL`
templateUrl | `breadcrumb-item.component.html`

### Index

###### Properties
collapsed elementRef hasNext hasPrevious string width
###### Methods
destroy onClick setNext setPrevious
###### Inputs
id label link navigationExtras
###### HostBindings
class

### Inputs

id
Type : `string`
A unique id for the breadcrumb

label
Type : `string`
The label of the breadcrumbItem. It might get truncated if it's too long.

link
Type : `string | any[]`
Commands to pass to Router#createUrlTree. array: commands to pass to Router#createUrlTree. string: shorthand for an array of commands with just the string, i.e. `['/route']` null|undefined: Disables the link by removing the `href`

navigationExtras
Type : `NavigationExtras`
A fragment

### HostBindings

class
Type : `string`
Default value : `'eui-breadcrumb-item'`

### Methods

destroy
`destroy()`
Returns : `void`

onClick
`onClick()`
A callback to navigate to the given link using ng-router. Returns : `boolean`

setNext
`setNext(breadcrumbItem: EuiBreadcrumbItemComponent)`
set the next breadcrumb item Parameters :
Name | Type | Optional | Description
breadcrumbItem | `EuiBreadcrumbItemComponent` | No | The next item to point to.
Returns : `void`

setPrevious
`setPrevious(breadcrumbItem: EuiBreadcrumbItemComponent)`
set the previous breadcrumb item Parameters :
Name | Type | Optional | Description
breadcrumbItem | `EuiBreadcrumbItemComponent` | No | The previous item to point to.
Returns : `void`

### Properties

collapsed
Default value : `false`
state of breadcrumb item in case of collapsed

elementRef
Default value : `inject(ElementRef)`

hasNext
Default value : `false`

hasPrevious
Default value : `false`

string
Type : `string`
Default value : `'eui-breadcrumb-item'`
Decorators : `@HostBinding('class')`

width
Type : `number`
Default value : `0`
calculated item width

# results matching ""

# No results matching ""